formats.h File Reference

Types and helper methods to handle libcamera image formats. More...

`#include <map>`
`#include <vector>`
`#include <libcamera/geometry.h>`
`#include <libcamera/pixel_format.h>`
`#include "libcamera/internal/v4l2_pixelformat.h"`

Go to the source code of this file.

## Classes

class | libcamera::ImageFormats
| Describe V4L2Device and V4L2SubDevice image formats. More...
class | libcamera::PixelFormatInfo
| Information about pixel formats. More...

## Detailed Description

Types and helper methods to handle libcamera image formats.